# This file is licensed under the terms of GPLv2+.
Name:           perl-threads-tbb
Version:        0.04
Release:        10%{?dist}
Summary:        Interface to the Threading Building Blocks (TBB) API
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/threads-tbb/
Source0:        http://www.cpan.org/authors/id/S/SA/SAMV/threads-tbb-%{version}.tar.gz
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::XSpp) >= 0.01
BuildRequires:  tbb-devel
# Test-time only:
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Scriptalicious)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(ExtUtils::XSpp) >= 0.01
ExclusiveArch:  %{ix86} x86_64 ia64

%{?perl_default_filter}

%description
This module provides access to a few core TBB API functions to Perl programs.
The algorithms employed by TBB are quite different to threads as provided by
"use threads;" - instead of directly starting threads and managing their
activity and communication/synchronization, an API is provided that provides
data parallelism.

%prep
%setup -q -n threads-tbb-%{version}
# Work around CCFLAGS bug in EU::MM (RT#68613)
sed -i -e '/CCFLAGS/ s/\(=>\)/\1 "$Config{ccflags} " ./' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
# Minimize compilation race (RT #69827) by single thread
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test TEST_VERBOSE=1

%files
%defattr(-,root,root,-)
%doc doc/* examples README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*
%{_mandir}/man3/*

%changelog
* Fri May 24 2013 Petr Machata <pmachata@redhat.com> - 0.04-10
- Rebuild for TBB memory barrier bug

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.04-7
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 21 2011 Petr Pisar <ppisar@redhat.com> - 0.04-5
- Rebuild against ABI breaking tbb-4.0

* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 0.04-4
- Work around CCFLAGS bug in EU::MM (RT#68613)

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.04-3
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.04-2
- Perl mass rebuild

* Mon Jul 11 2011 Petr Pisar <ppisar@redhat.com> - 0.04-1
- 0.04 bump

* Sat Jun 11 2011 Karsten Hopp <karsten@redhat.com> 0.02-2
- add exclusivearch, buildrequirement tbb is only available on ia64, x86 and x86_64

* Tue May 10 2011 Petr Pisar <ppisar@redhat.com> 0.02-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot stuff
